> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cost allocation over a time window

> Retrieve cost allocation



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/cost/v1/allocation
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/cost/v1/allocation:
    get:
      tags:
        - Cost and billing
      summary: Get the cost allocation over a time window
      description: Retrieve cost allocation
      operationId: getCostAllocation
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: >-
            Start time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: start
          required: false
          schema:
            type: string
        - description: >-
            End time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: end
          required: false
          schema:
            type: string
        - description: >-
            If the result will be accumulated. Default is false. If true, the
            result will be accumulated from the start time to the end time.
          in: query
          name: accumulate
          required: false
          schema:
            type: boolean
        - description: >-
            Filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset, job, cronjob,
            replicaset, node, container, pv, pvc, storageclass, cluster.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: if the idle cost will be shared
          in: query
          name: shareIdle
          required: false
          schema:
            type: boolean
        - description: list of namespaces to share the costs
          in: query
          name: shareNamespaces
          required: false
          schema:
            type: string
        - description: >-
            Determines how to split shared costs among non-idle, unshared
            allocations.
          in: query
          name: shareSplit
          required: false
          schema:
            type: string
        - description: The cost to share
          in: query
          name: shareCost
          required: false
          schema:
            type: string
        - description: The label to share the cost
          in: query
          name: shareLabels
          required: false
          schema:
            type: string
        - description: If the cost will be reconciled
          in: query
          name: reconcile
          required: false
          schema:
            type: boolean
        - description: If the tenancy costs will be shared
          in: query
          name: shareTenancyCosts
          required: false
          schema:
            type: boolean
        - description: If the idle cost will be calculated
          in: query
          name: idle
          required: false
          schema:
            type: boolean
        - description: If the external cost will be calculated
          in: query
          name: external
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAllocationEnvelopeV1'
          description: Success
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    CostAllocationEnvelopeV1:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAllocationV1'
          type: array
      required:
        - data
      type: object
    CostAllocationV1:
      properties:
        cpuCoreHours:
          format: double
          type: number
        cpuCoreRequestAverage:
          format: double
          type: number
        cpuCoreUsageAverage:
          format: double
          type: number
        cpuCores:
          format: double
          type: number
        cpuCost:
          format: double
          type: number
        cpuCostAdjustment:
          format: double
          type: number
        cpuEfficincy:
          format: double
          type: number
        discount:
          format: double
          type: number
        gpuCost:
          format: double
          type: number
        gpuCostAdjustment:
          format: double
          type: number
        gpuCount:
          format: double
          type: number
        gpuHours:
          format: double
          type: number
        labels:
          properties:
            billing_tag:
              type: string
            organization_id:
              type: string
            organization_name:
              type: string
            project_id:
              type: string
            project_name:
              type: string
            project_owner_id:
              type: string
            project_owner_name:
              type: string
            starting_user_id:
              type: string
            starting_user_name:
              type: string
            workload_id:
              type: string
            workload_type:
              type: string
          type: object
        loadBalancerCost:
          format: double
          type: number
        loadBalancerCostAdjustment:
          format: double
          type: number
        name:
          type: string
        nodeType:
          type: string
        pv:
          properties:
            pvByteHours:
              format: double
              type: number
            pvBytes:
              format: double
              type: number
            pvCost:
              format: double
              type: number
            pvCostAdjustment:
              format: double
              type: number
            pvs:
              additionalProperties:
                properties:
                  byteHours:
                    format: double
                    type: number
                  cost:
                    format: double
                    type: number
                type: object
              type: object
          type: object
        ramCost:
          format: double
          type: number
        ramCostAdjustment:
          format: double
          type: number
        totalCost:
          format: double
          type: number
        window:
          properties:
            end:
              type: string
            minutes:
              format: double
              type: number
            start:
              type: string
          type: object
      type: object
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get the cost allocation over a time window](/6.3/api-reference/cost-and-billing/get-the-cost-allocation-over-a-time-window-1.md)
- [Get the cost allocation summary over a time window](/6.3/api-reference/cost-and-billing/get-the-cost-allocation-summary-over-a-time-window.md)
- [Get accumulated cost allocation over a time window](/6.3/api-reference/cost-and-billing/get-accumulated-cost-allocation-over-a-time-window.md)
- [Get accumulated cost allocation summary over a time window](/6.3/api-reference/cost-and-billing/get-accumulated-cost-allocation-summary-over-a-time-window.md)
